Хаки и Скрипты Next Generation CMS
irbees2008 irbees2008 Опубликовано - 20 - января Разное
  • Адаптировал: irbees2008
  • Уровень сложности исполнения: Справочник

Всем привет.
Все знаете что есть устаревшие плагины , которые не работают на последней версии движка, особенно на версии php8 и выше. Я обновил сайт до последней версии движка 097 и естественно поставил версию php8 , и не которые плагины перестали работать или выдавать ошибки . Один из этих плагинов holidays, работал не корректно, пытался сам перевести на php8, не получалось. Просил наших разработчиков , но тоже тишина .
Здесь узнал про ИИ https://chat.openai.com/, что он может писать код, ну и подумал почему бы не попробывать . Ну и попробывал .
screenshot_3.png (103.05 Kb)
screenshot_4.png (90.35 Kb)
screenshot_5.png (79.13 Kb)
Исправил код , попробывал ,вылезла ошибка, её тут же отправил ИИ , и тут же сразу исправление выдал . Все плагин работает как надо, ошибок нет .

Так что если надо исправить доработать плагин обращайтесь к ИИ cool

Можешь почитать и вот эту статейку "Денвер - локальный сервер."

Опрос

Ваше мнение

Вы нашли что искали?
Результаты

Последние комментарии

Теги

Anything in here will be replaced on browsers that support the canvas element

Статистика

  • Caйту: 3950 дней
  • Новостей: 564
  • Комменты: 254
  • Зарегистрированно : 633
  • Онлайн всего: [5]
  • Гости: [4]
  • Поисковики: [1] Яндекс
  • Были сегодня : [3] Яндекс, dankeanke, Google
  • SQL запросов: 30
  • Генерация страницы: 0.397сек
  • Потребление памяти: 5.157 Mb 
  •   Яндекс.Метрика